### Method

# Template Scope dup_string

since: 3.36

#### Declaration

    char*
    tmpl_scope_dup_string (
      TmplScope* self,
      const char* name
    )

#### Description

Gets a string if the symbol `name` is a string.

Otherwise, `NULL` is returned.

Available since: 3.36

#### Parameters

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

A string or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.